.products > .product {
	position: relative;
	display: flex;
	flex-direction: column;

	&.change-image {
		&:hover {
			& .product__image-hover {
				@media (--m) {
					@mixin fade-in;

					& + .product__image {
						@mixin fade-out;
					}
				}
			}
		}
	}

	& .product__inner {
		flex: 1 0 auto;
	}

	&.outofstock {
		opacity: 0.75;

		& a {
			pointer-events: none;
		}

		&:hover {
			& .product__image {
				@mixin fade-in;
			}

			& .product__image-hover {
				@mixin fade-in;
			}
		}
	}

	& .product__price {
		display: block;
		margin-top: 0.25em;
		font-weight: var(--font-bold);
		color: var(--primary);
		line-height: 1.4;
		font-size: 0.85rem;

		@media (--m) {
			font-size: 0.9125rem;
		}

		& del {
			opacity: 0.65;
			color: var(--dark);
			font-weight: var(--font-normal);
		}
	}
}

.products .product-card {
	flex: 1 0 auto;
}

.products > .product-category {
	& img {
		max-width: 100%;
		height: auto;
	}

	& .woocommerce-loop-category__title {
		font-size: 1rem;

		& mark {
			background: unset;
			color: var(--primary);
		}
	}
}

.products.columns-5,
.products.columns-4,
.products.columns-3,
.products.columns-2,
.products.columns-1 {
	display: flex;
	flex-wrap: wrap;
	margin: 0 -10px;
}

.products.columns-5 {
	& > .product {
		width: 50%;
		margin-top: 20px;
		padding: 0 10px;

		@media (--sm) {
			width: 20%;
		}
	}
}

.products.columns-4 {
	& > .product {
		width: 50%;
		margin-top: 20px;
		padding: 0 10px;

		@media (--sm) {
			width: 25%;
		}
	}
}

.products.columns-3 {
	& > .product {
		width: 50%;
		margin-top: 20px;
		padding: 0 10px;

		@media (--sm) {
			width: 33.33%;
		}
	}
}

.products.columns-2 {
	& > .product {
		width: 50%;
		margin-top: 20px;
		padding: 0 10px;
	}
}

.products.columns-1 {
	& > .product {
		width: 100%;
		margin-top: 20px;
		padding: 0 10px;
	}
}

.woocommerce-loop-product__link {
	position: relative;
	display: flex;
	flex-direction: column;
	text-decoration: none;

	&:hover {
		@media (--m) {
			color: var(--primary);
		}
	}
}

.woocommerce-loop-product__title {
	margin-bottom: 5px;
	font-size: 0.85rem;
	font-weight: var(--font-normal);

	@media (--s) {
		font-size: 1rem;
	}
}

.woocommerce-pagination {
	padding: 2em 0;
	text-align: center;

	& .page-numbers {
		list-style: none;

		& li {
			display: inline-flex;
		}

		& .page-numbers:not(.prev):not(.next) {
			@mixin flex-center;

			width: 29px;
			height: 29px;
			border-radius: 50%;
			border: 1px solid rgba(0, 0, 0, 0);
		}

		& .page-numbers.current {
			background: var(--primary);
		}

		& .current {
			color: var(--white);
		}
	}
}

.product__tag {
	@mixin flex-center;

	position: absolute;
	top: 5px;
	right: 5px;
	display: inline-flex;
	width: 42px;
	height: 42px;
	font-size: 0.85rem;
	pointer-events: none;
	z-index: 3;
}

.product__tag--out-of-stock {
	background: var(--gray);
}

.product__image-hover {
	@mixin abs-full;
	@mixin fade-out;

	z-index: 1;
	background: var(--white);
	transition: all 0.3s cubic-bezier(0.25, 0.25, 0.75, 0.75);
}

.product__image-wrapper {
	@mixin ratio 1/1;

	display: flex;
	overflow: hidden;

	& .woocommerce-loop-product__link {
		@mixin abs-full;
	}

	& .add-to-cart-icon {
		width: 30px;
		height: 30px;
		font-size: 0;
		background: var(--primary);
		padding: 0;
		position: absolute;
		left: 10px;
		bottom: 50px;
		z-index: 3;
		background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath fill='white' d='M17.696,9.368H2.305c-0.189,0-0.367,0.092-0.478,0.245c-0.11,0.155-0.141,0.352-0.08,0.532l2.334,6.918c0.081,0.238,0.305,0.4,0.556,0.4h10.735c0.253,0,0.478-0.162,0.557-0.402l2.323-6.917c0.062-0.179,0.03-0.376-0.079-0.531C18.062,9.459,17.886,9.368,17.696,9.368z M14.95,16.287H5.062l-1.938-5.743h13.753L14.95,16.287z'%3E%3C/path%3E%3Cpath fill='white' d='M6.345,7.369c0.325,0,0.588-0.263,0.588-0.588c0-1.691,1.376-3.067,3.067-3.067c1.691,0,3.067,1.376,3.067,3.067c0,0.325,0.264,0.588,0.588,0.588c0.326,0,0.589-0.263,0.589-0.588c0-2.34-1.904-4.243-4.244-4.243c-2.34,0-4.244,1.903-4.244,4.243C5.757,7.106,6.02,7.369,6.345,7.369z'%3E%3C/path%3E%3C/svg%3E");
		background-size: 20px;
		background-repeat: no-repeat;
		background-position: center;

		&:hover {
			background: var(--secondary);
			background-size: 20px;
			background-repeat: no-repeat;
			background-position: center;
			background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath fill='white' d='M17.696,9.368H2.305c-0.189,0-0.367,0.092-0.478,0.245c-0.11,0.155-0.141,0.352-0.08,0.532l2.334,6.918c0.081,0.238,0.305,0.4,0.556,0.4h10.735c0.253,0,0.478-0.162,0.557-0.402l2.323-6.917c0.062-0.179,0.03-0.376-0.079-0.531C18.062,9.459,17.886,9.368,17.696,9.368z M14.95,16.287H5.062l-1.938-5.743h13.753L14.95,16.287z'%3E%3C/path%3E%3Cpath fill='white' d='M6.345,7.369c0.325,0,0.588-0.263,0.588-0.588c0-1.691,1.376-3.067,3.067-3.067c1.691,0,3.067,1.376,3.067,3.067c0,0.325,0.264,0.588,0.588,0.588c0.326,0,0.589-0.263,0.589-0.588c0-2.34-1.904-4.243-4.244-4.243c-2.34,0-4.244,1.903-4.244,4.243C5.757,7.106,6.02,7.369,6.345,7.369z'%3E%3C/path%3E%3C/svg%3E");
		}
	}
}

.product__image {
	@mixin abs-full;

	object-fit: cover;
	transition: all 0.3s ease-in-out;
}

.has-product-card-image-cover {
	& .product__image-hover .image__img,
	& .product__image .image__img {
		object-fit: cover;
	}
}

.has-product-card-image-contain {
	& .product__image-hover .image__img,
	& .product__image .image__img {
		object-fit: contain;
	}
}

.product__category {
	& a {
		font-size: 1rem;
	}
}

.product__meta-inner {
	& .add_to_cart_button {
		display: none;

		@media (--m) {
			display: block;
			font-size: 1rem;
			font-weight: var(--font-bold);
			color: var(--secondary);
			padding: 0;
			transition: all 0.3s;
		}

		&.button--disabled {
			color: var(--gray);
		}
	}
}

.product__inner {
	& .button--disabled {
		display: none;
	}
}

.product__quick-view {
	position: absolute;
	bottom: 10px;
	left: 10px;
	z-index: 3;
	transition: all 0.3s;
}

.product__quick-view-text {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 30px;
	height: 30px;
	border: 2px solid var(--primary);
	border-radius: 50%;

	&:hover {
		cursor: pointer;
		background: var(--primary);
		transition: all 0.4s;

		& svg {
			fill: var(--white);
		}
	}

	& svg {
		width: 16px;
		height: 16px;
		pointer-events: none;
		fill: var(--primary);
		transition: all 0.4s;
	}
}

.has-product-card-style-1,
.has-product-card-style-default {
	& .products > .product {
		& .product__content {
			margin-top: 1em;
		}

		& .product__rating {
			margin-top: 5px;
		}
	}
}

.has-product-card-style-1 {
	& .products > .product {
		& .product__inner {
			display: flex;
			flex-direction: column;
			border: 1px solid var(--border);
		}

		& .product__content {
			display: flex;
			flex-direction: column;
			flex: 1 1 0;
			padding: 10px;
		}

		& .product__price {
			margin-top: auto;
		}
	}
}

.has-product-card-style-2 {
	& .products > .product {
		& .product__inner {
			padding: 15px;
			box-shadow: 0 0.0625rem 0.125rem 0 rgba(0, 0, 0, 0.1);
		}

		& .product__content {
			display: flex;
			flex-direction: column;
			align-items: center;
			padding: 10px 0;
			text-align: center;
		}

		& .product__title {
			margin-top: 5px;
			margin-bottom: 0;
		}

		& .product__price {
			margin-top: 0;
		}

		& .product__rating {
			margin-top: 5px;
		}
	}
}

.has-product-card-style-3 {
	& .products > .product {
		& .product__image-wrapper {
			border: 1px solid var(--border);
			border-radius: var(--border-radius);
		}

		& .product__content {
			margin-top: 10px;
		}
	}
}

.has-product-card-style-4 {
	& .products > .product {
		& .product__inner {
			display: flex;
			flex-direction: column;
		}

		& .product__content {
			flex: 1 1 0;
			display: flex;
			flex-direction: column;
			margin-top: 10px;
		}

		& .product__cta {
			margin-top: auto;
			padding-top: 10px;
			margin-bottom: 10px;
		}

		& .product__button {
			justify-content: center;
			width: 100%;
			padding: 3px 10px;
			font-size: 0.85rem;
			text-align: center;

			&:hover {
				@media (--m) {
					border-color: var(--primary);
				}
			}
		}
	}
}

.has-product-card-discount-badge-style-default {
	& .products > .product {
		& .product__tag {
			padding: 5px;
			background: var(--primary);
			color: var(--white);
			box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.1);
			border-radius: 50%;
		}
	}
}

/** Rectangle with all border-radius **/
.has-product-card-discount-badge-style-1 {
	& .products > .product {
		& .product__tag {
			width: auto;
			height: auto;
			padding: 2px 5px;
			border-radius: var(--border-radius);
		}
	}
}

.has-product-card-discount-badge-style-4 {
	& .products > .product {
		& .product__tag {
			width: auto;
			height: auto;
			padding: 2px 5px;
			border-radius: var(--border-radius) 0 var(--border-radius) 0;
		}
	}
}

/** Rectangle with left radius **/
.has-product-card-discount-badge-style-2 {
	& .products > .product {
		& .product__tag {
			width: auto;
			height: auto;
			padding: 2px 5px;
			border-radius: var(--border-radius) 0 0 var(--border-radius);
		}
	}

	&.has-product-card-discount-badge-position-default {
		& .products > .product {
			& .product__tag {
				right: 0;
			}
		}
	}
}

/** Rectangle with right radius **/
.has-product-card-discount-badge-style-3 {
	& .products > .product {
		& .product__tag {
			width: auto;
			height: auto;
			padding: 2px 5px;
			border-radius: 0 var(--border-radius) var(--border-radius) 0;
		}
	}

	&.has-product-card-discount-badge-position-1 {
		& .products > .product {
			& .product__tag {
				left: 0;
			}
		}
	}
}

.has-product-card-discount-badge-position-default {
	& .products > .product {
		& .product__tag {
			top: 10px;
			right: 10px;
			left: auto;
		}
	}
}

/** Style: Flag down **/
.has-product-card-discount-badge-style-5 {
	& .products > .product {
		& .product__tag {
			width: 42px;
			height: 36px;
			background: var(--primary);
			color: var(--white);

			&::after {
				content: '';
				width: 0;
				height: 0;
				left: 0;
				bottom: -4px;
				position: absolute;
				border-color: transparent var(--primary);
				border-style: solid;
				border-width: 0 21px 4px;
			}
		}
	}

	&.has-product-card-discount-badge-position-default,
	&.has-product-card-discount-badge-position-1 {
		& .products > .product {
			& .product__tag {
				top: 0;
			}
		}
	}

	&.has-product-card-discount-badge-position-3,
	&.has-product-card-discount-badge-position-2 {
		& .products > .product {
			& .product__tag {
				height: auto;
				border-radius: var(--border-radius);

				&::after {
					content: none;
				}
			}
		}
	}
}

/** Position: Top left **/
.has-product-card-discount-badge-position-1 {
	& .products > .product {
		& .product__tag {
			top: 10px;
			left: 10px;
			right: auto;
		}
	}
}

.has-product-card-discount-badge-position-2 {
	& .products > .product {
		& .product__price {
			& ins {
				width: 100%;
				display: block;
			}

			& del {
				font-size: 0.85rem;
			}
		}
	}
}

.has-product-card-discount-badge-position-3 {
	& .products > .product {
		& .product__price {
			display: flex;
			align-items: center;

			& del {
				display: none;
			}
		}
	}
}

.has-product-card-discount-badge-position-2,
.has-product-card-discount-badge-position-3 {
	& .products > .product {
		& .product__price {
			color: var(--dark);

			& .product__tag {
				position: static;
				margin-left: 5px;
				display: inline-block;
				padding: 1px 3px;
				font-weight: var(--font-normal);
				font-size: 0.75rem;
			}
		}
	}
}
